package mellaris

import "fmt"

// ConfigError indicates a configuration issue.
type ConfigError struct {
	Field string
	Err   error
}

func (e ConfigError) Error() string {
	return fmt.Sprintf("invalid config: %s: %s", e.Field, e.Err)
}

func (e ConfigError) Unwrap() error {
	return e.Err
}
